%define _unpackaged_files_terminate_build 1
%define pypi_name jaraco.test

%def_with check

Name: python3-module-%pypi_name
Version: 5.4.0
Release: alt2.p10.1
Summary: Testing support by jaraco
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/jaraco.test
VCS: https://github.com/jaraco/jaraco.test.git
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Source2: setuptools-68.2.2-py3-none-any.whl
Patch: %name-%version-alt.patch

%pyproject_runtimedeps_metadata
# required by jaraco/test/cpython.py
Requires: python3-test

# mapping from PyPI name
Provides: python3-module-%{pep503_name %pypi_name} = %EVR

BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build

%if_with check
%pyproject_builddeps_metadata_extra testing
# required by jaraco/test/cpython.py
BuildRequires: python3-test
%endif

%description
%summary.

%prep
%setup
%autopatch -p1
%pyproject_scm_init
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
# https://bugzilla.altlinux.org/47647
# build with bundled setuptools
mkdir dist
cp %SOURCE2 dist/
echo "$(basename '%SOURCE2')" > dist/.wheeltracker
%pyproject_run -- bash -s <<-'ENDBUILD'
# redefine __python3 to python3 instead of /usr/bin/python3 to point to virt one
%global __python3_orig %__python3
%define __python3 python3
%pyproject_build
%define __python3 %__python3_orig
ENDBUILD

%install
%pyproject_install

%check
%pyproject_run_pytest -vra -oconsider_namespace_packages=True \
    --deselect 'jaraco/test/cpython.py::test.cpython' \


%files
%doc README.rst
%python3_sitelibdir/jaraco/test/
%python3_sitelibdir/%pypi_name-%version.dist-info/

%changelog
* Tue May 06 2025 Stanislav Levin <slev@altlinux.org> 5.4.0-alt2.p10.1
- backported to p10.

* Thu May 16 2024 Stanislav Levin <slev@altlinux.org> 5.4.0-alt3
- Added missing runtime dependency on python3-test.

* Mon May 06 2024 Stanislav Levin <slev@altlinux.org> 5.4.0-alt2
- Fixed FTBFS (Pytest 8.1.1).

* Thu Mar 21 2024 Stanislav Levin <slev@altlinux.org> 5.4.0-alt1
- 5.3.0 -> 5.4.0.

* Fri Apr 21 2023 Stanislav Levin <slev@altlinux.org> 5.3.0-alt2
- Mapped PyPI name to distro's one.

* Wed Feb 01 2023 Stanislav Levin <slev@altlinux.org> 5.3.0-alt1
- Initial build for Sisyphus.
